## org.apache.commons.jelly.tags.core
Class DefaultTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.DefaultTag

All Implemented Interfaces:
  Tag

    public class DefaultTag

extends TagSupport

A tag which conditionally evaluates its body if none of its preceeding sibling `<case>` tags have been evaluated. This tag must be contained within the body of some `<switch>` tag.

Version:
  $Revision: 155420 $ $Date: 2005-02-27 00:06:03 +1100 (Sun, 27 Feb 2005) $
Author:
  Rodney Waldhoff
See Also:
  `SwitchTag`

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`DefaultTag()`

Method Summary
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setFallThru(boolean fallThru)`

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTag

    public DefaultTag()

Method Detail

### setFallThru

    public void setFallThru(boolean fallThru)

### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `JellyTagException`

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.